import React, { useState, useEffect } from "react";
import { View, ScrollView } from "@tarojs/components";
import "./index.scss";
import useUser from "../store/user";

const IsLogin = ({ children }) => {
  const { user } = useUser();

  return user && user.userId ? children :
    (<View className="no-rights">{user ? '您暂无权限访问当前页面' : '登录中, 请稍候...'}</View>)
};

export default IsLogin;
