
export function getCode() {
    const m = /code=([^&]+)/.exec(window.location.search)
    const codeFromQuery = m ? m[1] : false
    const codeFromCash = window.localStorage.getItem('code')

    if (codeFromQuery !== codeFromCash) {
        return codeFromQuery
    }

    return false;
}

export function setCode(code) {
    window.localStorage.setItem('code', code)
}
